! *********************************************************************
! *  file write subroutine for 1-D heat conduction                    *
! *********************************************************************

      subroutine writefile( Tmp, dz, nz, nf )

      implicit none
      real(8):: Tmp(0:nz)
      real(8):: dz
      real(4):: Tmps,zs
      integer:: j,nz
      integer:: nf
      character(1):: cnf1
      character(2):: cnf2
      character(3):: cnf
      character(4):: fname1

!  ***  set number to file name  ***

!      if ( nf.lt.10 ) then
!        write (cnf1,'(i1)') nf
!        cnf = '00'//cnf1
!       else if ( nf.lt.100 ) then
!        write (cnf2,'(i2)') nf
!        cnf = '0'//cnf2
!       else
!        write (cnf,'(i3)') nf
!      end if

      write (cnf,'(i3.3)') nf
      fname1 = 't'//cnf

!  ***  open new file and write  ***

      open ( 10, file = fname1, status='new' )

      do j = 0,nz
        zs = sngl( dz *dfloat(j) / 1.0d3 )
        Tmps = sngl( Tmp(j) )
        write (10,*) zs,Tmps
      end do

      close (10)

      return
      end subroutine writefile

